Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 322943 - User cannot launch multiple JVM sessions in FireFox, works fine in IE and older Mozilla (1.6)
: User cannot launch multiple JVM sessions in FireFox, works fine in IE and old...
Product: Firefox
Classification: Client Software
Component: Shell Integration (show other bugs)
: 2.0 Branch
: x86 Windows 2000
: -- major (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Robert Strong [:rstrong] (use needinfo to contact me)
Depends on:
  Show dependency treegraph
Reported: 2006-01-10 09:29 PST by Michael
Modified: 2009-06-29 08:53 PDT (History)
5 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Michael 2006-01-10 09:29:33 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

We use Oracle application servers.  When the user opens a second browser instance or tab and tries to access a second instance of Oracle web-based app, the user gets an error message from Oracle, "failed to connect to the server".  When using IE or Mozilla, multiple windows work fine.

Oracle 9i, Jinit plugin (also tried 1.1.8), FireFox 1.x (tried 1.0.5-7 and 1.5), Win 98/2000.

Here's what the java console shows upon a successful connection:

Loading from JAR cache

Loading from JAR cache

Loading from JAR cache

RegisterWebUtil - Loading WebUtil Version 1.0.5 Production

Loading from JAR cache

Loading from JAR cache

connectMode=HTTP, native.

Forms Applet version is : 902110

And here's a failure message from the java console:

java.lang.ClassNotFoundException: open HTTP connection failed.

	at sun.applet.AppletClassLoader.getBytes(Unknown Source)

	at sun.applet.AppletClassLoader.access$100(Unknown Source)

	at sun.applet.AppletClassLoader$ Source)

	at Method)

	at sun.applet.AppletClassLoader.findClass(Unknown Source)

	at Source)

	at java.lang.ClassLoader.loadClass(Unknown Source)

	at sun.applet.AppletClassLoader.loadClass(Unknown Source)

	at java.lang.ClassLoader.loadClass(Unknown Source)

	at java.lang.ClassLoader.loadClassInternal(Unknown Source)

	at java.lang.Class.forName0(Native Method)

	at java.lang.Class.forName(Unknown Source)

	at oracle.forms.handler.UICommon.instantiate(Unknown Source)

	at oracle.forms.handler.UICommon.onCreate(Unknown Source)

	at oracle.forms.handler.ButtonItem.onCreate(Unknown Source)

	at oracle.forms.engine.Runform.onCreateHandler(Unknown Source)

	at oracle.forms.engine.Runform.processMessage(Unknown Source)

	at oracle.forms.engine.Runform.processSet(Unknown Source)

	at oracle.forms.engine.Runform.onMessageReal(Unknown Source)

	at oracle.forms.engine.Runform.onMessage(Unknown Source)

	at oracle.forms.engine.Runform.sendInitialMessage(Unknown Source)

	at oracle.forms.engine.Runform.startRunform(Unknown Source)

	at oracle.forms.engine.Main.createRunform(Unknown Source)

	at oracle.forms.engine.Main.start(Unknown Source)

	at Source)

	at Source)

Again, this works fine with IE and older Mozillas.

Reproducible: Always

Steps to Reproduce:
1.Open Oracle web page, which inits a JVM
2.Open second Oracle web page in a new tab which should launch second JVM
3.Second instance can't access app server.
Comment 1 Mike Connor [:mconnor] 2006-01-10 10:32:17 PST
What about in Firefox 1.5?
Comment 2 Michael 2006-01-10 11:42:28 PST
(In reply to comment #1)
> What about in Firefox 1.5?

Tested with FireFox 1.0.5 through 1.5, same result.

Comment 3 Michael 2006-05-11 10:46:58 PDT
The issue is still present in

Until it is addressed, my users are forced to use IE.

Is there anyone out there who can at least acknowlege the issue?  For anyone trying to use FireFox with Oracle web forms, this is a major problem.
Comment 4 Michael 2006-10-04 06:13:53 PDT
Still waiting for someone, anyone, to even acknowledge the issue!

The issue is still there in the latest 1.5 version, and in every 2.0 beta I have tried.

Is anyone there....

Comment 5 Benjamin Smedberg [:bsmedberg] 2006-10-04 06:56:37 PDT
There is no reason a second tab should open a second JVM. We use a single JVM for all mozilla tabs and windows by design; using a separate JVM for each window sucks up significant amounts of memory.

Comment 6 Michael 2006-10-04 08:18:07 PDT
I understand Benjamin's statement about two JVM's being a system hog, but I really need to be able to have multiple sessions in my browser.

Just like I was able to do in Mozilla and can still do in IE.

Whether the system resources are an issue or not, there is a bug in Firefox that prevents it from happening.

Please fix.
Comment 7 Michael 2006-11-02 07:26:29 PST
Just tried it in released version of 2.0.  It is still an issue.

Any reason this is being ignored?
Comment 8 Michael 2007-01-25 08:23:27 PST
Tried again with latest release of Oracle 10g and latest release of Firefox.

Still an issue.
Comment 9 u88484 2009-06-27 12:37:01 PDT
This bug was reported using a version of Firefox that security and stability updates are no longer provided for.  All users are strongly encouraged to upgrade to Firefox 3 by selecting 'Check for Updates' in the Help menu or by going to

If you can no longer reproduce this bug using the latest Firefox 3.0.x version, please change the status of this bug to 'RESOLVED' 'WORKSFORME'.

If you can still reproduce this bug, please provide additional details to help resolve this issue.
Comment 10 Michael 2009-06-29 08:49:43 PDT
The issue is no longer present in Firefox 3.0.11.
Comment 11 Tyler Downer [:Tyler] 2009-06-29 08:53:01 PDT
FIXED is only for when a patch is checked itot he tree. WFM

Note You need to log in before you can comment on or make changes to this bug.